edu.claflin.finder.logic.cygrouper

## Class CygrouperAssembler

- java.lang.Object
- - edu.claflin.finder.logic.cygrouper.CygrouperAssembler

-     public class CygrouperAssembler
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.List<CygrouperEdge>` | `edges`
    `(package private) java.util.Map` | `map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CygrouperAssembler(java.util.List<Edge> regularEdges)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assembleMap(java.util.List<CygrouperEdge> edgeList, java.util.Map map)`
    `private void` | `assmbleNodes(java.util.List<CygrouperEdge> edgeList, java.util.Map map)`
    `void` | `convertCyfinderEdge(java.lang.String s, java.lang.String t)`
    `java.util.Map` | `getTree()`
    `private void` | `printNodeMap(java.util.Map map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### edges

          java.util.List<CygrouperEdge> edges

    - #### map

          java.util.Map map

  - ### Constructor Detail

    - #### CygrouperAssembler

          public CygrouperAssembler(java.util.List<Edge> regularEdges)

  - ### Method Detail

    - #### convertCyfinderEdge

          public void convertCyfinderEdge(java.lang.String s,
                                          java.lang.String t)

    - #### assembleMap

          public void assembleMap(java.util.List<CygrouperEdge> edgeList,
                                  java.util.Map map)

    - #### assmbleNodes

          private void assmbleNodes(java.util.List<CygrouperEdge> edgeList,
                                    java.util.Map map)

    - #### getTree

          public java.util.Map getTree()

    - #### printNodeMap

          private void printNodeMap(java.util.Map map)